Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infinispan.schematic.internal.schema
Class JsonSchemaValidatorFactory.ExclusiveMinimumValidator

    java.lang.Object
      org.infinispan.schematic.internal.schema.JsonSchemaValidatorFactory.NumericValidator
          org.infinispan.schematic.internal.schema.JsonSchemaValidatorFactory.ExclusiveMinimumValidator

All Implemented Interfaces:
  Serializable, Validator

Enclosing class:
  JsonSchemaValidatorFactory

    protected static class JsonSchemaValidatorFactory.ExclusiveMinimumValidator

extends JsonSchemaValidatorFactory.NumericValidator

Validation rule that states fails if the actual value is equal to or less than the minimum value.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.infinispan.schematic.internal.schema.Validator
`Validator.Factory, Validator.SchemaDocumentResolver`

Constructor Summary
`JsonSchemaValidatorFactory.ExclusiveMinimumValidator(String propertyName, Number minimum)`

Method Summary
`protected boolean` | `isValid(double minimum, double actualValue)` Evaluate whether the actual value and expected value violate the schema rule.
`protected String` | `ruleDescription()`

Methods inherited from class org.infinispan.schematic.internal.schema.JsonSchemaValidatorFactory.NumericValidator
`toString, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JsonSchemaValidatorFactory.ExclusiveMinimumValidator

    public JsonSchemaValidatorFactory.ExclusiveMinimumValidator(String propertyName,
                                                                Number minimum)

Method Detail

### isValid

    protected boolean isValid(double minimum,
                              double actualValue)

  Description copied from class: `JsonSchemaValidatorFactory.NumericValidator`
  Evaluate whether the actual value and expected value violate the schema rule.

  Specified by:
    `isValid` in class `JsonSchemaValidatorFactory.NumericValidator`
  Parameters:
    `minimum` - the expected value
    `actualValue` - the actual value
  Returns:
    true if the value is valid, or false if there is an error

### ruleDescription

    protected String ruleDescription()

  Specified by:
    `ruleDescription` in class `JsonSchemaValidatorFactory.NumericValidator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.